/* New styles for centering layout over 1600px */
body {
    font-size: 10px;
    max-width: 3840px;
    margin: auto;
}

.bold {
    font-weight: bold;
}

.font-10 {
    font-size: 10px !important;
}

.font-12 {
    font-size: 12px;
}

.font-14 {
    font-size: 14px;
}

.font-18 {
    font-size: 18px;
}

.font-28 {
    font-size: 28px;
}

.font-32 {
    font-size: 32px;
}

#sidebar .theme-brand {
    box-shadow: none;
}

.fixed-top,
.footer-button {
    left: 50% !important;
    transform: translateX(-50%);
    max-width: 3840px;
    width: 100%;
    background: #e9ecef !important;
}

@media (min-width: 992px) {

    header.navbar,
    .footer-button {
        margin: 0;
        padding: 0 0 0 225px;
    }
}

.navbar {
    background: #e9ecef;
}

.navbar .navbar-nav .nav-item form.form-inline input.search-form-control {
    background: #fff;
}

/* New styles for centering layout over 1600px */

/* Bootstrap Datetimepicker */
.datetimepicker-input {
    background: #f9f9f9;
    border-radius: 0.25rem;
    border-color: #d9d9d9;
}

.input-group-text {
    color: #262626;
    font-size: 11px;
    padding: 0 1rem;
    background: #fff;
    border-color: #d9d9d9;
}

.bootstrap-datetimepicker-widget {
    font-size: 11px !important;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
    border: none;
    border-radius: 0;
}

.bootstrap-datetimepicker-widget a[data-action] {
    background-color: transparent;
}

/* Bootstrap Datetimepicker */

/** Mobile adjustments */
@media (max-width: 991px) {
    header.tabMobileView {
        height: 50px;
    }

    header.tabMobileView .toggle-sidebar,
    header.tabMobileView .sidebarCollapse {
        font-size: 24px;
    }

    header.tabMobileView img {
        width: 35px;
        margin-top: 5px;
    }

    #dismiss {
        top: 55px;
    }

    #content {
        margin-top: 60px;
    }
}

@media (max-width: 400px) {
    .portlet {
        padding: 0;
    }
}

@media only screen and (max-width: 767px) {
    #content>.container {
        padding: 0px;
    }

    .form-row {
        margin-left: 0;
        margin-right: 0;
    }

    .form-row>.col,
    .form-row>[class*=col-] {
        padding-left: 0;
        padding-right: 0;
    }
}

@media only screen and (max-width: 991px) {
    #content>.container {
        padding: 0px;
    }

    .form-row {
        margin-left: 0;
        margin-right: 0;
    }

    .form-row>.col,
    .form-row>[class*=col-] {
        padding-left: 0;
        padding-right: 0;
    }

    .widget.portlet-widget .portlet-basic .portlet-body,
    .widget.portlet-widget .portlet-basic .portlet-title {
        padding: 5px;
    }

    .crumbs .breadcrumb {
        padding: 0px;
    }

    .monthly-btns a {
        padding: 5px 8px;
    }

    .dataTables_wrapper .row:first-child .col-sm-12 {
        max-width: 50%;
    }

    .dataTables_wrapper .row:first-child .col-sm-12 .dataTables_length {
        text-align: left;
    }

    .dataTables_wrapper .row:first-child .col-sm-12 .dataTables_length label {
        font-size: 0;
    }

    .dataTables_wrapper .row:first-child .col-sm-12 .dataTables_filter {
        text-align: right;
    }
}

/** Mobile adjustments */

.red {
    color: #e7515a;
}

.min-50 {
    min-width: 50px;
}

.min-25 {
    min-width: 25px;
}

.max-80 {
    max-width: 80px;
}

.max-50 {
    max-width: 50px;
}

#content {
    margin-bottom: 20px;
}

#template-search-mobile {
    padding: 8px 0;
    width: 150px;
}

#template-search-mobile:before {
    top: 14px;
}

.navbar-expand-sm .navbar-nav .nav-link {
    padding: 0.25rem 0.6rem;
}

.sidebar-wrapper {
    z-index: 1031;
    overflow-y: auto;
}

.bg-billomat {
    background: #9ac318;
}

.bg-billomat-red {
    background: #749315;
}

.select2-container--default .select2-results>.select2-results__options {
    max-height: 350px;
}

#template-search {
    width: 100%;
}

.custom-control {
    display: inline-block;
}

.pointer {
    cursor: pointer;
}

.dark-green {
    background-color: #1d6857;
}

.list-group-item {
    padding: 0.5rem 0.75rem;
}

textarea {
    min-height: 50px !important;
    max-height: 400px !important;
}

.left-zero {
    left: 0 !important;
}

.swal2-icon {
    margin: 0.25em auto 0.5em !important;
}

.img-thumbnail {
    width: 50px;
}

.img-small {
    width: 35px;
}

.custom-control-label::before,
.custom-control-label::after {
    top: 1px;
}

.v-top {
    vertical-align: top !important;
}

.table-sm td,
.table-sm th {
    padding: 0.25rem !important;
}

.text-underline {
    text-decoration: underline !important;
    text-underline-offset: 2px !important;
}

.text-gray {
    color: #bbb !important;
}

.disable-link {
    pointer-events: none;
    cursor: not-allowed;
}

hr {
    margin-top: .75rem !important;
    margin-bottom: .75rem !important;
}

mark {
    padding: 0;
}

#sidebar {
    text-transform: uppercase;
}

#content>.container {
    position: relative;
}

#template-search-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    position: fixed;
    right: 0;
    left: 0;
    padding-left: 30px;
    padding-right: 30px;
    z-index: 1032;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

/* @media (min-width: 992px) {
    #template-search-container {
        margin-left: 200px;
    }
} */

#template-search-content {
    box-shadow: 0 0 50px #000;
    border-radius: 6px;
    width: 100%;
}

#sidebar ul.menu-categories li.menu:first-child {
    margin-top: 0;
    margin-bottom: 0;
}

#sidebar ul.menu-categories li.menu:first-child>a {
    background-color: transparent;
    margin-bottom: 0;
}

.page-title {
    margin-top: 15px;
    margin-bottom: 15px;
}

.widget-content-area {
    padding: 10px 15px;
}

.statbox .widget-content-area {
    padding: 15px;
}

.form-control {
    border: 1px solid #ccc;
    color: #000;
    font-size: 11px;
}

code {
    color: #3862f5;
}

.form-control:disabled,
.form-control[readonly] {
    background-color: #f1f3f9;
    border-color: #f1f3f1;
    -webkit-text-fill-color: #adadad !important;
    opacity: 1;
}

input[readonly],
select[readonly],
textarea[readonly] {
    color: #000;
    background-color: #fff !important;
    border-color: #ccc !important;
}

.btn-primary.disabled,
.btn-primary:disabled {
    background-color: #3862f5;
    border-color: #3862f5;
}

label {
    color: #3b3f5c;
}

.form-control::-webkit-input-placeholder {
    color: #888ea8;
    font-size: 15px;
}

.form-control::-ms-input-placeholder {
    color: #888ea8;
    font-size: 15px;
}

.form-control::-moz-placeholder {
    color: #888ea8;
    font-size: 15px;
}

.form-control:focus {
    border-color: #3862f5;
}

.input-group-text {
    background-color: #f3f4f7;
    border-color: #e9ecef;
    color: #6156ce;
}

select.form-control {
    display: inline-block;
    width: 100%;
    /* height: calc(2.25rem + 2px); */
    vertical-align: middle;
    background: #fff url(/assets/img/arrow-down.png) no-repeat right .75rem center;
    background-size: 13px 14px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

select.form-control::-ms-expand {
    display: none;
}

.max-height {
    max-height: 50vh;
    overflow: auto;
}

.max-height-250 {
    max-height: 250px;
    overflow: auto;
}

.max-height-600 {
    max-height: 600px;
    overflow: auto;
}

.max-height-950 {
    max-height: 950px;
    overflow: auto;
}

.portlet-footer {
    padding: 15px;
    border-top: 1px solid #e9ecef;
    text-align: right;
}

.btn-group>.btn,
.btn-group .btn {
    padding-top: 7px;
    padding-bottom: 6px;
}

.select2-container {
    margin-bottom: 0 !important;
    /* padding: 7px 15px !important; */
}

.select2-selection {
    border-color: #ccc !important;
    border-radius: 2px !important;
}

.select2-selection__rendered {
    line-height: 14px !important;
    padding: 7px 15px !important;
}

.select2-selection__arrow {
    top: 5px !important;
}

@media only screen and (max-width: 767px) {
    .btn {
        padding: 5px 12px;
        font-size: 11px;
    }
}

.modal-title {
    text-transform: uppercase;
}

img.flag {
    width: 15px;
}

.action span {
    margin-left: 2px;
    margin-right: 2px;
    font-size: 14px;
}

.color-red {
    color: #C81D30 !important;
}

.blink {
    animation: blinkingText 1.5s infinite;
    font-size: 13px;
}

.blink-fast {
    animation: blinkingText 0.7s infinite;
    font-size: 15px;
    font-weight: bold;
}

.blink-same {
    animation: blinkingText 1.5s infinite;
}

@keyframes blinkingText {
    50% {
        color: transparent;
    }
}

.dataTables_wrapper.container-fluid,
.dataTables_wrapper .col-md-12 {
    padding-left: 0;
    padding-right: 0;
}

::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    font-size: 11px !important;
}

::-moz-placeholder {
    /* Firefox 19+ */
    font-size: 11px !important;
}

:-ms-input-placeholder {
    /* IE 10+ */
    font-size: 11px !important;
}

:-moz-placeholder {
    /* Firefox 18- */
    font-size: 11px !important;
}

textarea.form-control {
    min-height: 120px !important;
}

input[disabled],
select[disabled],
textarea[disabled],
input[readonly],
select[readonly],
textarea[readonly] {
    color: #adadad !important;
}

.color-box {
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-bottom: -2px;
    margin-right: 5px;
    box-shadow: 0 0 1px 0px;
}

.tooltip-inner {text-align: left; font-size: 10px;}

.footer-section .footer-section-2 {
    background: #e9ecef;
}